com.streambase.liveview.client

## Class NullProgressMonitor

- java.lang.Object
- - com.streambase.liveview.client.NullProgressMonitor

- All Implemented Interfaces:
    ProgressMonitor

      public final class NullProgressMonitor
      extends Object
      implements ProgressMonitor

- - ### Field Summary

    - ### Fields inherited from interface com.streambase.liveview.client.ProgressMonitor

      `UNKNOWN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NullProgressMonitor()` Constructs a new progress monitor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `beginTask(String name, int totalWork)` This implementation does nothing.
    `void` | `cancel()` This implementation sets the value of an internal state variable.
    `void` | `done()` This implementation does nothing.
    `boolean` | `isCanceled()` This implementation returns the value of the internal state variable set by `setCanceled`.
    `void` | `subTask(String name)` This implementation does nothing.
    `void` | `worked(int work)` This implementation does nothing.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NullProgressMonitor

          public NullProgressMonitor()

      Constructs a new progress monitor.

  - ### Method Detail

    - #### beginTask

          public void beginTask(String name,
                                int totalWork)

      This implementation does nothing.
      Specified by:
        `beginTask` in interface `ProgressMonitor`
      Parameters:
        `name` - the name of the task
        `totalWork` - the total steps to complete the task

    - #### done

          public void done()

      This implementation does nothing.
      Specified by:
        `done` in interface `ProgressMonitor`

    - #### isCanceled

          public boolean isCanceled()

      This implementation returns the value of the internal state variable set by `setCanceled`.
      Specified by:
        `isCanceled` in interface `ProgressMonitor`
      Returns:
        true if client cancelled the request

    - #### cancel

          public void cancel()

      This implementation sets the value of an internal state variable.
      Specified by:
        `cancel` in interface `ProgressMonitor`

    - #### subTask

          public void subTask(String name)

      This implementation does nothing.
      Specified by:
        `subTask` in interface `ProgressMonitor`

    - #### worked

          public void worked(int work)

      This implementation does nothing.
      Specified by:
        `worked` in interface `ProgressMonitor`
      Parameters:
        `work` - the amount done on the current task

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.